import { AlignEnums, BoardElementType } from "./enums";

/**
 * 协作画板核心数据model
 */
export interface IBoardState {
  version: string; //总版本号
  id: string;
  creatAt: number;
  creator: string; //创建者ID
  wrapper: {
    scale: number; //缩放
  };
  cover: string; //封面
  elements: ICanvasElement[]; //自定义节点列表
}

export interface ICanvasElement extends IRectangle {
  creator: string; //创作者id
  creatAt: number; //创作id
  version: string; //版本,用于比对
  elType: BoardElementType; //类型
  id: string;
  zIndex: number; //层级
  lock: boolean; //是否锁定
  edit: false; //是否在编辑
  rotate: boolean; //旋转
  fontSize: number;
  textAlign: AlignEnums;
  verticalAlign: AlignEnums;

  paths?: IVec2[]; //轨迹独有的属性

  points?: IVec2[]; //线独有的属性
  lineType: string; //线独有属性

  fillStyle: IStyleLine;
  textFillStyle: IStyleLine;
  ext: Dictionary<any>;
}

export interface ICanvasElementChangePayload {}
