/**
 * key-val键值对
 */
interface Dictionary<T> {
    [key: string]: T;
}

/**
 * 元素尺寸
 */
interface IRectangle {
    x: number;
    y: number;
    width: number;
    height: number;
}

/**
 * RGB颜色
 */
interface IRGBColor {
    r: number;
    g: number;
    b: number;
}

/**
 * RGBA颜色
 */
interface IRGBAColor {
    r: number;
    a: number;
    g: number;
    b: number;
}

/**
 * 平面直角坐标 or 二维向量
 */
interface IVec2 {
    x: number;
    y: number;
}

/**
 * 三维坐标 or 三维向量
 */
interface IVec3 {
    x: number;
    y: number;
    z: number;
}

/**
 * 截取区域
 */
interface ICrop {
    top: number;
    bottom: number;
    left: number;
    right: number;
}


type IStyleLine = string

type boolNumber = 0|1

/**
 * 所有人员创作的资源共有的字段
 */
interface CreateResource{

}
